import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TapdReviewAppDefault } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:06
 */
interface TapdReviewAppDefaultCU extends ConditionUtil<TapdReviewAppDefaultCU> {
    ID: FieldUtil<TapdReviewAppDefaultCU>;
    APP_NAME: FieldUtil<TapdReviewAppDefaultCU>;
    APP_TYPE: FieldUtil<TapdReviewAppDefaultCU>;
    VERSION: FieldUtil<TapdReviewAppDefaultCU>;
    DESCRIPTION: FieldUtil<TapdReviewAppDefaultCU>;
    BUSINESS_GROUP: FieldUtil<TapdReviewAppDefaultCU>;
    CREATE_TIME: FieldUtil<TapdReviewAppDefaultCU>;
    UPDATE_TIME: FieldUtil<TapdReviewAppDefaultCU>;
}
declare class TapdReviewAppDefaultMU extends TableUtilImpl<TapdReviewAppDefaultCU, TapdReviewAppDefault> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TapdReviewAppDefaultCU;
    static get ID(): FieldUtil<TapdReviewAppDefaultCU>;
    static get APP_NAME(): FieldUtil<TapdReviewAppDefaultCU>;
    static get APP_TYPE(): FieldUtil<TapdReviewAppDefaultCU>;
    static get VERSION(): FieldUtil<TapdReviewAppDefaultCU>;
    static get DESCRIPTION(): FieldUtil<TapdReviewAppDefaultCU>;
    static get BUSINESS_GROUP(): FieldUtil<TapdReviewAppDefaultCU>;
    static get CREATE_TIME(): FieldUtil<TapdReviewAppDefaultCU>;
    static get UPDATE_TIME(): FieldUtil<TapdReviewAppDefaultCU>;
    get ID(): FieldUtil<TapdReviewAppDefaultCU>;
    get APP_NAME(): FieldUtil<TapdReviewAppDefaultCU>;
    get APP_TYPE(): FieldUtil<TapdReviewAppDefaultCU>;
    get VERSION(): FieldUtil<TapdReviewAppDefaultCU>;
    get DESCRIPTION(): FieldUtil<TapdReviewAppDefaultCU>;
    get BUSINESS_GROUP(): FieldUtil<TapdReviewAppDefaultCU>;
    get CREATE_TIME(): FieldUtil<TapdReviewAppDefaultCU>;
    get UPDATE_TIME(): FieldUtil<TapdReviewAppDefaultCU>;
}
export { TapdReviewAppDefaultMU, TapdReviewAppDefaultCU };
